### Property

# Foundry GitCommitBuilder:can-commit

#### Declaration

    property can-commit: gboolean [ read ]

#### Description [src]

Whether the builder has sufficient information to create a commit.

This property is `TRUE` when both a non-empty commit message and at least one staged file are present. It is read-only and will be updated automatically as files are staged or unstaged and as the message changes.

Type:`gboolean`

Default value | FALSE
Getter method | `foundry_git_commit_builder_get_can_commit()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no